Subject: Re: bug#41198: 28.0.50; heading cycling command for outline

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Nov 2020 11:13:34 +0100

Juri Linkov <[email-masked]> writes:

> BTW, since now S-TAB cycles headings nicely in etc/NEWS,
> what about enabling outline-minor-mode in the output
> Help buffer of 'C-h b'?  Currently its section
> "Key translations" is so long that it takes too much time
> to scroll down to the most interesting section
> "Major Mode Bindings".

Yes, that's a general problem, I think -- I'm often tapping `C-h b' to
look for something, but then getting a wall of stuff that's never what
I'm interested in (i.e., the "Key translation" stuff), and no easy way
to navigate to the sections that I'm looking far.

> With outline-minor-mode it would
> be possible to collapse "Key translations" initially.
> Then typing S-TAB would show such nice overview:
>
> * Key translations
> * `override-global-mode' Minor Mode Bindings
> * `outline-minor-mode' Minor Mode Bindings
> * recentf-mode Minor Mode Bindings
> * Major Mode Bindings
> * Global Bindings
> * Function key map translations
> * Input decoding map translations

I think this is a good idea.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no